お使いのサーバーの PHP では WordPress に必要な MySQL 拡張を利用できないようです。

CentOS 7 + nginx + PHP 7.2 + PHP-FPM
にてWordPressサイトを構築したところ、タイトルのエラーが出た。

原因が判明し、解決方法も分かったのだが、なぜか上手く行かない。

引き続き調査を続ける。

解決の決定打

php.iniに『extension = mysqli』を記述したり、PHP-FPMをPHP 7.2版に変更したり色々とやってみたんですが、ダメでした。
結局、ある一つのパッケージがインストールされていないことが原因でした。
以下のコマンドを入力し、PHP-FPMとnginxを再起動したところ、見事立ち直りました。:-)

$ sudo yum install php72-php-mysqlnd

メモ

古いPHPパッケージを削除する。
$ sudo yum remove php*

remiリポジトリの追加
$ sudo yum -y install http://rpms.famillecollet.com/enterprise/remi-release-7.rpm

パッケージのインストール
$ sudo yum -y install --enablerepo=remi,remi-php72 php php-mbstring php-xml php-xmlrpc php-fpm php-gd php-pdo php-pecl-mcrypt php-mysqlnd php-pecl-mysql php72-php-mysqlnd

php.iniの編集
expose_php = Off
post_max_size = 20M
date.timezone = “Asia/Tokyo”
mbstring.language = Japanese
mbstring.internal_encoding = UTF-8
mbstring.http_output = pass
mbstring.encoding_translation = On
mbstring.substitute_character = none

参考サイト

WordPressインストール時にMySQL Extension Errorが発生した[重要]

CentOS 7のウェブサーバーにphp 7.2を導入する。phpの入門にも最適な環境の構築
[さくらVPS]CentOS7にphp7 + php-fpm + nginxをインストールする
【PHP】追加したモジュールが読み込めない時に疑うポイント
CentOS 7 に PHP 7.2 を yum でインストールする手順